Skip to main content
`Ctrl`+`K`

# PetscDualSpaceLagrangeGetUseMoments

Get the flag for using moment functionals

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeGetUseMoments(PetscDualSpace sp, PetscBool *useMoments)

Not Collective

## Input Parameter

- sp - The `PetscDualSpace`

## Output Parameter

- useMoments - Moment flag

## See Also

`PETSCDUALSPACELAGRANGE`, `PetscDualSpace`, `PetscDualSpaceLagrangeSetUseMoments()`

## Level

advanced

## Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

## Implementations

PetscDualSpaceLagrangeGetUseMoments_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceLagrangeGetUseMoments_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages